<?php

namespace App\Livewire\Vehicles;

use Livewire\Component;
use App\Models\Vehicle;

class Show extends Component
{
    public Vehicle $vehicle;

    public function mount(Vehicle $vehicle)
    {
        $this->vehicle = $vehicle->load([
            'customer', 
            'serviceOrders.assignedTechnician', 
            'appointments', 
            'inspections'
        ]);
    }

    public function render()
    {
        return view('livewire.vehicles.show');
    }
}
